%define rname taglib

Name: libtag
Version: 1.1
Release: alt1

Group: System/Libraries
Summary: TagLib, is well, a library for reading and editing audio meta data
Url: http://ktown.kde.org/~wheeler/taglib/
License: GPL

Provides: %rname = %version-%release

Source: %rname-%version.tar.bz2

# Automatically added by buildreq on Tue Mar 16 2004 (-bi)
BuildRequires: gcc-c++ libstdc++-devel

%description
TagLib, is well, a library for reading and editing audio meta data,
commonly know as tags.
Some goals of TagLib:
	A clean, high level, C++ API to handling audio meta data.
	Support for at least ID3v1, ID3v2 and Ogg Vorbis comments.
	A generic, simple API for the most common tagging related functions.
	Binary compatibility between minor releases using the standard KDE/Qt
	techniques for C++ binary compatibility.
	Make the tagging framework extensible by library users; i.e. it will be
	possible for libarary users to implement additional ID3v2 frames,
	without modifying the TagLib source.
Because TagLib desires to be toolkit agnostic, in hope of being widely
adopted and the most flexible in licensing TagLib provides many of its
own toolkit classes; in fact the only external dependancy that TagLib has,
it a semi-sane STL implementation.

%package devel
Group: Development/C
Summary: Headers and static lib for taglib development
Requires: %name = %version-%release
Provides: %rname-devel = %version-%release

%description devel
Install this package if you want do compile applications using the libtag
library.

%prep
%setup -q -n %rname-%version

%build
%configure
%make_build

%install
%make install DESTDIR=%buildroot

%post
%post_ldconfig
%postun
%postun_ldconfig

%files
%_libdir/libtag.so.*
%_libdir/libtag_c.so.*

%files devel
%_bindir/taglib-config
%_libdir/libtag.so
%_libdir/libtag_c.so
%dir %_includedir/taglib/
%_includedir/taglib/*.h
%_includedir/taglib/*.tcc

%changelog
* Thu Apr 08 2004 Sergey V Turchin <zerg at altlinux dot org> 1.1-alt1
- new version

* Tue Mar 02 2004 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1
- build for ALT

* Thu Jan 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-2mdk
- Move taglib-config to libname-devel (Thanks Nicolas Chipaux to report me this bug)

* Tue Dec 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.96-1mdk
- 0.96

* Wed Nov 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-2mdk
- Fix description

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-1mdk
- Initial package

